Agents that publish an A2A /.well-known/agent-card.json — 5744 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5744 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“402oracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Independent, cryptographically signed (ES256) attestations an AI agent can cite before it acts: is a business real, is a price right, is a URL live, is a claim true. Pay per call in USDC over x402 — no accounts, no API keys. Free unsigned MCP tier to evaluate.
-
402oracle: machine-payable verification layer. Signed attestations for AI agents, paid per call in USDC via x402.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“AgentFeed” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Payment-gated API suite for AI agents (x402 v2)
-
a2a x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
mcp x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
Liquidations, funding radar, options IV/GEX, stock perps, macro calendar. 66 tools, USDC, 4 chains.
“agentfx” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 207.8ms; conformance: fail
-
a2a degraded
Non-custodial headless Hyperliquid perp execution + analytics + backtest + strategy orchestration for autonomous AI agents. The agent owns its EVM key; AgentFX never holds funds. Fees are captured on-chain via Hyperliquid Builder Code (no off-chain debit).
“Agentic Finance Graph” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Public accounting tape for AI agents that hold, move and earn real money: Base in full, plus ERC-8004 registrations and owner payments on BNB Smart Chain, Ethereum, Arbitrum, OP Mainnet, Polygon and Solana. Read-only data service. It answers A2A message/send at https://agenticfinancegraph.com/api/a2a (JSON-RPC, protocol 0.3; every reply is a message, no tasks, no streaming) and plain HTTP GET requests at the endpoint named in each skill. Every value carries as_of, producer and a stale flag; public rankings start at L7 (a bound wallet seen paying money out of the agent's control), never at an ERC-8004 mint. Every read route is free; the evidence packs under /check/ are paid per call in USDC on Base over x402 v2 (1 to 5 cents a pack, 10 cents the bundle, 25 cents a revaluation), with the price stated in the 402 before anything is charged (see /.well-known/x402). ERC-8004 agent #95875 on Base. MCP server: https://agenticfinancegraph.com/mcp (read-only tools, free). Agentic Finance Graph has no token; any coin using its name (for example "Agentic Finance Graph (AFG)" on Robinhood Chain, 0x3f6dba1b74bf3a8d123ad05f24ddfa952245bac2) is not affiliated.
-
Public accounting tape for AI agents that hold, move and earn real money. Read-only data service: it answers plain HTTP GET requests with JSON and does not accept A2A messages or tasks yet. Use the endpoint named in each skill. Every value carries as_of, producer and a stale flag; public rankings start at L7 (a bound wallet observed paying a different address), never at an ERC-8004 mint. Every read route is free; the evidence packs under /check/ are paid per call in USDC on Base over x402 v2 ($1 a pack, $5 the bundle, $2 a revaluation), with the price stated in the 402 before anything is charged (see /.well-known/x402). ERC-8004 agent #95875 on Base.
-
Ledger of AI-agent money on Base: ranked agents, payments, detections, free checks before you pay
-
Ledger of AI-agent money on Base: ranked agents, payments, detections, free checks before you pay
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“ArbiPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
The arbitrage layer for every market. 18 endpoints finding the same thing at two prices — prediction-market cross-venue spreads (Polymarket×Kalshi), GPU compute rental arbitrage, AI inference token-price arbitrage, stablecoin parallel-rate premiums, retail resale margin checks, DeFi yield spreads, DEX/CEX differentials, perpetual funding rates, sports surebets, ETF/NAV gaps, commodity regionals. Pay-per-query via x402 USDC on Base mainnet.
-
The arbitrage layer for every market. 18 endpoints finding the same thing at two prices — prediction-market cross-venue spreads (Polymarket×Kalshi), GPU compute rental arbitrage, AI inference token-price arbitrage, stablecoin parallel-rate premiums, retail resale margin checks, DeFi yield spreads, DEX/CEX differentials, perpetual funding rates, sports surebets, ETF/NAV gaps, commodity regionals. Pay-per-query via x402 USDC on Base mainnet.
“Astro Agents” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Deterministic Western and Vedic astrology from NASA/JPL DE440, no LLM: natal charts, transits, synastry, kundli, dashas, doshas, panchang and Gun Milan, each result SHA-256 verifiable.
-
a2a x402 ok
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
-
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
“BlindOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
-
mcp degraded
Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.
“Brain On BNB AI — hireable agents” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
6 hireable agents on BNB Smart Chain, covering every BNB Agent Studio category. Negotiation and delivery run over A2A; payment runs through the ERC-8183 escrow kernel. Every figure is measured from the chain at request time and cross-checked against the protocol it came from where the protocol publishes one.
-
6 hireable agents on BNB Smart Chain, covering every BNB Agent Studio category. Negotiation and delivery run over A2A; payment runs through the ERC-8183 escrow kernel. Every figure is measured from the chain at request time and cross-checked against the protocol it came from where the protocol publishes one.
“Butterfly Delta Preflight” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A $0.01 machine-paid exact-order execution-integrity gate for autonomous crypto trading bots. Send venue, side, and size immediately before every USD spot order to receive a signed PASS, BLOCK, or UNKNOWN from live Coinbase and Gemini observations.
-
Paid pre-submit integrity gate for crypto bots using live Coinbase and Gemini checks.
“Cerebrus Pulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call crypto derivatives intelligence. No signup, no API keys — just USDC micropayments via x402. Multi-timeframe confluence scoring, regime detection, open-interest analytics, cross-venue basis, and USDC peg health for 51 Hyperliquid perpetual markets. Prices from $0.008/call. Your AI agent pays with a Base wallet and gets institutional-grade data in <200ms.
-
Pay-per-call crypto derivatives intelligence. No signup, no API keys — just USDC micropayments via x402. Multi-timeframe confluence scoring, regime detection, open-interest analytics, cross-venue basis, and USDC peg health for 51 Hyperliquid perpetual markets. Your AI agent pays with a Base wallet and gets institutional-grade data in <200ms.
“ClearMarket” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Reference layer for prediction markets. Judges whether a Kalshi or Polymarket price can be trusted: every market carries a Resolution Clarity Grade (A/B/C), the committed resolution source is named with provenance where one exists (the absence is graded too — that gap is the point), and the same question across venues is linked by a venue-independent question_id with live cross-venue prices (also_on). Read-only reference data; not trading advice.
-
mcp x402 ok
skills: {'id': 'list_events', 'name': 'list_events', 'description': 'Browse or search ClearMarket prediction-market events. Filter by category, platform, Resolution Clarity Grade, or free-text `q`. `q` is token-AND across question + tags, so SHORT KEYWORD queries match best ("microstrategy bitcoin", "fed rate") — natural-language phrases often return nothing. Returns compact graded summaries: slug, question, venues_covered, primary grade, rcg_score (0-100, for ranking clarity), last_price, and status (open / resolved). Start here when you have a topic but not a slug; then call get_event for the full graded record. Categories: economics, financials, crypto, companies, technology, politics, geopolitics, health, climate.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'get_event', 'name': 'get_event', 'description': 'Fetch the full ClearMarket record for one event by slug: the canonical question, every market in this event\'s single-venue bundle, each market\'s current price + Resolution Clarity Grade (A/B/C) + resolution-source provenance, the canonical question_id where the question is linked across venues/events (null otherwise; also_on lists the same question priced on the other venue, when it trades there), and the upcoming catalyst dates that move it before it resolves. In the default detail="full", each market in the bundle is FULLY detailed (grade, rcg.caps, provenance, direction, settlement_style, also_on) — you do not need a separate get_market call for markets already in this event. Note: a shared question_id means same topic across venues; in rare cases it links structurally-different contracts (e.g. a "hike" vs a "cut-count" market), so verify the contract shape before treating two as an arbitrage pair. Use when you need the authoritative, graded view of a SPECIFIC event — including its cross-venue twins via also_on — before reasoning about or acting on a prediction market. If you only have a topic (not a slug), call list_events first. Set detail="concise" for a quick grade/price/source check (each market trimmed to the essentials — much smaller for events with many markets); use the default detail="full" when you need every market\'s rules, contract shape, and complete provenance.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'get_market', 'name': 'get_market', 'description': 'Fetch one market and judge whether its price can be trusted. Accepts whatever id you have: a ClearMarket id (CM-MKT-…), a venue-native market id or Kalshi ticker, or a market URL (best-effort — Kalshi tickers / a native id in the path resolve; for Polymarket pass the conditionId, not the slug URL). Returns: raw question, current price / implied probability, the Resolution Clarity Grade with rcg.score (0-100) and rcg.caps (a cap such as "uncommitted_placeholder" hard-limits the grade — that is why a single-source market can still be C), full resolution provenance (arbitration_model = who resolves it, named source, source_type, and a graded source_status on EVERY market: named / no-committed-source / none / unknown), the contract shape (direction, settlement_style, threshold), the canonical question_id where linked, and also_on (the same question priced on other venues). The returned market_id is ALWAYS the canonical ClearMarket id (CM-MKT-…) — store and reuse THAT, not the venue id. Use before trusting or acting on a price.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'list_upcoming_catalysts', 'name': 'list_upcoming_catalysts', 'description': 'List scheduled catalysts (CPI, jobs, FOMC, GDP, large-cap earnings) in the next N days that move prediction-market prices BEFORE those markets resolve — a cross-event view across the whole calendar. Each entry is provenanced to its authoritative source (BLS, Fed, etc.). Use to find what scheduled events will reprice the prediction-market universe soon.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'list_signals', 'name': 'list_signals', 'description': "Browse the CM Signal daily wire — short, structured prediction-market bulletins (the price is the lede, news is context). Filter by event_id (every wire touching a specific event), category, venue, or detection type (news_cycle, cross_venue_divergence, benchmark_drift, volume_spike). Returns compact records, newest first; call get_signal for the full bulletin. Use to find ClearMarket's editorial read on what is moving.", 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'get_signal', 'name': 'get_signal', 'description': 'Fetch one full CM Signal wire by slug: headline, the 3-5 structured bullets, atomic claims with per-field provenance tiers, the target + linked events, primary and related markets with prices, and sources. Use when you have a wire slug (from list_signals) and need the complete bulletin with its proof chain.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}; uptime_30d 1.0%; p95 206.4ms; conformance: pass
-
Reference-data for prediction markets: market data, graded resolution clarity (A/B/C), cross-venue linking, named resolution sources, and provenance across Kalshi + Polymarket. Open REST + MCP, no key.
“Coin Railz” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“Echo Sentiment” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402-native market-sentiment API for Stellar/XLM. 14 paid endpoints (sentiment, price, gas, prediction, wallet intel, fear & greed, attested quotes, bundles). Pay-per-call in USDC on Base/Solana or native XLM; $0.01 entry tier; no signup, no API key.
-
Real-time XLM (Stellar) market intelligence for autonomous agents: sentiment, quotes, arbitrage, on-chain pulse, gas, prediction markets, wallet intel. Pay-per-call via x402 (HTTP 402) — no accounts and no API keys required.
-
Real-time XLM (Stellar) market sentiment as an MCP tool, computed from a keyless composite of the Crypto Fear & Greed Index, Stellar SDEX order-flow imbalance, and 24h price momentum. No LLM in the loop, no API keys. Hosted and agent-wallet ready via x402 (pay-per-call in USDC on Base).
“Edge Signals” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Edge Signals — primary: live gas fees for agents ($0.001). Also token-risk, wallet, news, Polymarket, funding at the same dust price. x402 USDC on Base.
-
Edge Signals — primary: live gas fees for agents ($0.001). Also token-risk, wallet, news, Polymarket, funding at the same dust price. x402 USDC on Base.
“EmblemAI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0; p95 1697.7ms
-
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
-
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“Market Intelligence API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Market intelligence for AI agents across crypto, US and European stocks, rates, FX and macro: on-chain order flow, a one-call trading decision, opportunity scans, perps, smart money, SEC and ESEF filings, European short interest and policy news.
-
Market Intelligence API https://api.marketintelligenceapi.com/api/v1/intelligence?window=5m&limit=20x402 ok
Market intelligence for AI agents built on observed data: on-chain order flow from executed DEX trades, token risk checks, perps funding and positioning, smart money, technicals, SEC and ESEF fundamentals, insider trades, European short interest, ECB and Treasury rates, CFTC positioning, macro calendar, news and deterministic analytics on the caller's numbers. Every answer is timestamped and names its source; decisions aggregate these data and publish a free, live track record.
-
Market data for AI agents via x402: token safety, DeFi yields, order flow, SEC filings, macro, perps
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Mycelia Signal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
“nba-odds-gap” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 pay-per-call NBA cross-venue prediction-market odds gap: Polymarket vs Kalshi implied probability on 2026 NBA championship markets, on Base. No account, no API key.
-
x402 pay-per-call NBA cross-venue prediction-market odds gap: Polymarket vs Kalshi implied probability on 2026 NBA championship markets, on Base. No account, no API key.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Nota” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Read-only crypto research skills that cross-check RYO's market evidence against independent exchanges, candles, derivatives venues and news, each answered in RYO's envelope (status, data_mode, as_of, availability, warnings). No orders, no wallets.
-
Read-only crypto research skills that check a price, RSI and ATR against independent sources.
“PayPerByte” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 degraded
Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))
-
PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
“Perp Gap API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Price gaps and rule-based verdicts for trade.xyz stock perps on Hyperliquid vs stocks and Solana xStocks. Paid per call via x402 (USDC on Base or Solana). Data, not financial advice.
-
Stock-perp gaps, verdicts and Hyperliquid prediction-market odds vs perp-implied probability. x402.
-
Stock-perp gaps, verdicts and Hyperliquid prediction-market odds vs perp-implied probability. x402.
“PreFlight” is shared by 7 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 degraded
Pre-trade & pre-sign checks for autonomous agents: everything an agent verifies BEFORE signing a transaction — token due diligence, calldata red-flag decoding, oracle freshness, holder concentration, bridge routing with executable calldata, cross-venue perp funding, gas and price sanity checks. EVM chains: Ethereum, Base, Arbitrum, Optimism.
-
uptime_30d 1.0%; p95 449.8ms; conformance: fail
-
Schedule, validate and publish social posts to 12 networks; every post is rule-checked first.
-
Check if your MCP server is ready to publish on the MCP Registry, Smithery, or npm. Preflight validates your server's actual artifacts — `server.json`, `package.json`, `smithery.yaml` — against the documented requirements of each directory. Every finding includes the evidence found, the directory rule it maps to, and the exact fix. ## What it checks - **MCP Registry** — server.json schema, name format, packages/remotes config, transport type, npm mcpName ownership, PyPI README marker - **Smithery** — Streamable HTTP transport, public HTTPS endpoint, server-card presence - **npm** — name, version, entry point (bin/main) Each finding is tagged with evidence level (`verified_from_artifact` or `inferred`), rule type (`hard_requirement`, `directory_convention`, or `heuristic`), and a source URL linking to the directory documentation. ## How to use Call `check_publish_readiness` with raw artifact contents (all fields optional): - `manifest` — your server.json - `package_json` — your package.json - `smithery_yaml` — your smithery.yaml - `pyproject_toml` — your pyproject.toml - `readme` — your README - `target_directories` — optional array of `mcp_registry`, `smithery`, `npm` Returns a verdict (`checks_pass`, `fixable`, or `not_ready`), per-directory readiness, and evidence-backed findings with concrete fixes. Zero dependencies. No LLM calls. No authentication. No PII collection.
-
Hosted MCP server for Preflight (https://preflight.social), a social media scheduler that checks every post against each network's real publishing rules before it leaves. Schedule, validate and publish posts to 12 networks: YouTube, TikTok, Instagram, Facebook, Threads, LinkedIn, Pinterest, Bluesky, Mastodon, Telegram, Discord and Tumblr. validate_post is a dry run of create_post, so an assistant can find out what a network would refuse before anything is sent. Auth: OAuth 2.1 with PKCE, or an API key as a bearer token. Publishing is its own scope (posts:publish); without it an assistant can only draft. MCP, API and webhooks are on every plan, Free included. Docs: https://preflight.social/docs/mcp
-
Health and quality monitoring for the MCP ecosystem. Check any server's reliability before your agent depends on it. Preflight monitors 18,000+ MCP servers every 10 minutes, tracking uptime, latency, schema stability, and description quality. Three tools: - **preflight_check** — real-time health status, latency, uptime, and quality score for any MCP server - **preflight_leaderboard** — the most and least reliable servers this week - **preflight_schema_changes** — what changed in a server's tool schema and when Why use it: agents that call unreliable tools fail silently and waste tokens. A one-call preflight check prevents that. Think of it as SSL for tool calls — verify before you trust.
-
Check if your MCP server is ready to publish on the MCP Registry, Smithery, or npm.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“Taifoon: Coordination Layer” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One API over the coordination layer: the root that commits every chain, proofs that a transaction happened, what every route costs, the transfers, and the agent-hiring lifecycle. Most operations are public reads. Writes say who may make them in `security` (RelayerKey = X-API-Key, OperatorToken = x-operator-token) and in x-taifoon-auth.rule; nothing here signs or sends a transaction for you. A 2...
-
A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).
-
Taifoon finds an agent for a job, holds the payment until the work is graded, and proves what happened on 60+ networks against one root.
“tokenguard” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“Vedetta” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call market intelligence for AI agents, based on Korra (korra.finance). Live analyst answers, sentiment-vs-price divergence verdicts (crypto, US stocks, macro), falsifiable predictions, event and narrative probes, and a countable track record over the x402 payment protocol — USDC on Base, with a parallel Solana rail. No signup, no API key: payment is authentication. Descriptive research, not financial advice.
-
Pay-per-call market intelligence for AI agents, based on Korra (korra.finance). Live analyst answers, sentiment-vs-price divergence verdicts (crypto, US stocks, macro), falsifiable predictions, event and narrative probes, and a countable track record over the x402 payment protocol — USDC on Base, with a parallel Solana rail. No signup, no API key: payment is authentication. Descriptive research, not financial advice.
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“YieldAgentX402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Executes x402 payment-gated tasks with signed receipts and Filecoin proofs via MCP.
-
Governed workflows with ShadeGuard-style checks on execution paths, x402 settlement on payment flows, Intel TDX attestation where the enclave path is used, and HMAC-SHA256 receipts with Filecoin + BTFS anchoring when uploads succeed. Resend and Supabase-backed skills for finance and CRM workflows. No wallets to manage, no keys to custody.
-
a2a x402 ok
The governed execution layer for AI agent commerce. The source catalog describes DeFi adapters and multi-chain paths; current support must be established from route discovery, policy, settlement, and receipt evidence. YieldAgent policy and required operator approval authorize governed actions; x402 applies when the selected route advertises it. Terminal orchestrated outcomes produce sealed receipts, with signing, TEE, settlement, and external-proof labels only when matching evidence is present.
-
Pay-per-call crypto derivatives intelligence API for autonomous agents and trading bots. ML price forecasts + perpetual swap signals for 17 crypto assets. USDC micropayments via x402 protocol on Base — no API key required.
C+8.9 ⚡ agent-pays · x402 36 skills -
A $0.01 machine-paid exact-order execution-integrity gate for autonomous crypto trading bots. Send venue, side, and size immediately before every USD spot order to receive a signed PASS, BLOCK, or UNKNOWN from live Coinbase and Gemini observations.
C+9.2 ⚡ agent-pays · x402 1 skill -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B+9.8 🔓 open JSONRPC 80 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
Taifoon: Coordination LayerTaifoon● healthy
A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).
B+9.7 🔑 human key MCP 24 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.8 🔓 open JSONRPC 126 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
B9.4 🔓 open 81 skills -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.5 🔓 open 53 skills -
nba-odds-gap● healthy
x402 pay-per-call NBA cross-venue prediction-market odds gap: Polymarket vs Kalshi implied probability on 2026 NBA championship markets, on Base. No account, no API key.
B9.6 🔓 open 3 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 84 skills -
Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.
B9.6 🔓 open 8 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.2 🔓 open 51 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 248 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 12 skills -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 21 skills -
AgentData APIAgentData● healthy
Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.
C+9.0 🔓 open 31 skills -
PayPerBytePayPerByte● healthy
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
C+8.9 🔓 open 12 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.7 🔓 open 284 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
A9.8 🔓 open 51 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.4 🔓 open JSONRPC 52 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.3 🔓 open 132 skills -
Perp Gap APIPerp Gap API● healthy
Price gaps and rule-based verdicts for trade.xyz stock perps on Hyperliquid vs stocks and Solana xStocks. Paid per call via x402 (USDC on Base or Solana). Data, not financial advice.
B+9.6 🔓 open JSONRPC 10 skills -
EmblemAIEmblem● healthy
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
A9.8 🔑 human key JSONRPC 25 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.8 🔑 human key JSONRPC 207 skills -
Market intelligence for AI agents built on observed data: on-chain order flow from executed DEX trades, token risk checks, perps funding and positioning, smart money, technicals, SEC and ESEF fundamentals, insider trades, European short interest, ECB and Treasury rates, CFTC positioning, macro calendar, news and deterministic analytics on the caller's numbers. Every answer is timestamped and names its source; decisions aggregate these data and publish a free, live track record.
B9.4 ⚡ agent-pays · x402 25 skills -
ByKaranteliByKaranteli● healthy
Crypto derivatives data terminal: liquidations, funding, open interest, options, ETF flows, CFTC positioning, order flow and slippage, recorded by our own collection network. Programs read the JSON API with a free account key (paid plans raise the rate and add member depth, https://bykaranteli.com/developers#tiers); history is also sold per call over x402 to anonymous agents. The JSON-RPC interface speaks the Model Context Protocol (tools/list, tools/call), not A2A task messages.
C+9.2 🔑 human key MCP 18 skills -
Mindjack Agent Data APIMindjack● healthy
Calibrated rug-risk verdicts and wallet identity for Solana tokens. Every pump.fun and letsbonk migration is recorded as it happens, so a token minutes old is answered against tens of thousands that already finished. The hit rate behind the verdict is published and re-measured weekly.
C+9.0 ⚡ agent-pays · x402 HTTP+JSON 28 skills -
ChainHelix for MachinesChainHelix● healthy
Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.
C+9.1 🔑 human key mcp-streamable-http 82 skills -
VedettaVedetta● healthy
Pay-per-call market intelligence for AI agents, based on Korra (korra.finance). Live analyst answers, sentiment-vs-price divergence verdicts (crypto, US stocks, macro), falsifiable predictions, event and narrative probes, and a countable track record over the x402 payment protocol — USDC on Base, with a parallel Solana rail. No signup, no API key: payment is authentication. Descriptive research, not financial advice.
C+8.7 🔓 open HTTP+JSON 20 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
AgentFeedochinimus● healthy
Live crypto market data for AI agents: a complete Bybit/OKX/Binance liquidation tape, funding radar, Deribit options IV and dealer gamma, stock and index perps, macro calendar, tokenized-equity peg data and Solana on-chain reads. Each skill is a paid HTTP GET (x402, USDC on Solana, Base, Polygon or Arbitrum); this is not an A2A message endpoint. Full catalog with prices: https://x402.ochinimus.app/.well-known/x402.json
B9.3 🔓 open HTTP+JSON 59 skills -
ArbiPulseThe Aslan Group LLC● healthy
The arbitrage layer for every market. 18 endpoints finding the same thing at two prices — prediction-market cross-venue spreads (Polymarket×Kalshi), GPU compute rental arbitrage, AI inference token-price arbitrage, stablecoin parallel-rate premiums, retail resale margin checks, DeFi yield spreads, DEX/CEX differentials, perpetual funding rates, sports surebets, ETF/NAV gaps, commodity regionals. Pay-per-query via x402 USDC on Base mainnet.
B+9.6 🔓 open HTTP+JSON 16 skills -
BlindOracleCraig M. Brown● healthy
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
A10.0 🔑 human key HTTP+JSON 42 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.6 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
Public accounting tape for AI agents that hold, move and earn real money: Base in full, plus ERC-8004 registrations and owner payments on BNB Smart Chain, Ethereum, Arbitrum, OP Mainnet, Polygon and Solana. Read-only data service. It answers A2A message/send at https://agenticfinancegraph.com/api/a2a (JSON-RPC, protocol 0.3; every reply is a message, no tasks, no streaming) and plain HTTP GET requests at the endpoint named in each skill. Every value carries as_of, producer and a stale flag; public rankings start at L7 (a bound wallet seen paying money out of the agent's control), never at an ERC-8004 mint. Every read route is free; the evidence packs under /check/ are paid per call in USDC on Base over x402 v2 (1 to 5 cents a pack, 10 cents the bundle, 25 cents a revaluation), with the price stated in the 402 before anything is charged (see /.well-known/x402). ERC-8004 agent #95875 on Base. MCP server: https://agenticfinancegraph.com/mcp (read-only tools, free). Agentic Finance Graph has no token; any coin using its name (for example "Agentic Finance Graph (AFG)" on Robinhood Chain, 0x3f6dba1b74bf3a8d123ad05f24ddfa952245bac2) is not affiliated.
B+9.8 🔓 open JSONRPC 23 skills -
6 hireable agents on BNB Smart Chain, covering every BNB Agent Studio category. Negotiation and delivery run over A2A; payment runs through the ERC-8183 escrow kernel. Every figure is measured from the chain at request time and cross-checked against the protocol it came from where the protocol publishes one.
B+9.8 🔓 open JSONRPC 9 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.5 🔓 open 118 skills -
ClearMarketClearMarket● healthy
Reference layer for prediction markets. Judges whether a Kalshi or Polymarket price can be trusted: every market carries a Resolution Clarity Grade (A/B/C), the committed resolution source is named with provenance where one exists (the absence is graded too — that gap is the point), and the same question across venues is linked by a venue-independent question_id with live cross-venue prices (also_on). Read-only reference data; not trading advice.
B9.4 🔓 open JSONRPC 3 skills -
Cerebrus PulseCerebrus Pulse● healthy
Pay-per-call crypto derivatives intelligence. No signup, no API keys — just USDC micropayments via x402. Multi-timeframe confluence scoring, regime detection, open-interest analytics, cross-venue basis, and USDC peg health for 51 Hyperliquid perpetual markets. Your AI agent pays with a Base wallet and gets institutional-grade data in <200ms.
B9.5 🔓 open 11 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B+9.7 🔓 open HTTP+JSON 80 skills -
Astro Agentsaidatatools● healthy
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
B+9.8 🔓 open 14 skills -
NEXUS IntelligenceNEXUS Intelligence● healthy
Live prediction market data oracle. Kalshi + Polymarket odds, cross-venue arb spreads, Fed/BTC/CPI/GDP. Pay-per-query via x402 USDC on Base.
B+9.7 🔓 open 3 skills -
A cursor-based verified-change record for autonomous agents, plus a visual Time Machine for humans. Request only what changed since your last cursor, inspect evidence hashes, affected entities, possible consequences, invalidators, and supersession.
C8.4 🔓 open 2 skills -
YieldAgentX402YieldAgentX402● healthy
The governed execution layer for AI agent commerce. The source catalog describes DeFi adapters and multi-chain paths; current support must be established from route discovery, policy, settlement, and receipt evidence. YieldAgent policy and required operator approval authorize governed actions; x402 applies when the selected route advertises it. Terminal orchestrated outcomes produce sealed receipts, with signing, TEE, settlement, and external-proof labels only when matching evidence is present.
C+9.2 🔓 open 15 skills -
Tuned For Crypto IntelligenceTuned For● healthy
Machine-actionable market information API for AI agents. Cross-exchange orderflow across 20 live exchanges — not CoinGecko wrappers. /data returns 16 reliable fields at $0.20 for your own models. /analyze/market and /analyze/orderflow are data-only (fast, no LLM latency). /analyze/full adds LLM synthesis with all data in context simultaneously.
B9.3 🔓 open 6 skills -
Edge Signals● healthy
Edge Signals — primary: live gas fees for agents ($0.001). Also token-risk, wallet, news, Polymarket, funding at the same dust price. x402 USDC on Base.
C+9.1 🔓 open 12 skills -
FarmDash● healthy
FarmDash is an intelligence and control layer for DeFi agents and serious airdrop farmers. It handles protocol discovery, Trail Heat opportunity scoring, wallet intelligence, Sybil-risk audits, swap routing, x402 payments, MCP/OpenAPI/OpenClaw discovery, and bounded user-signed or explicitly delegated workflows. FarmDash does not request seed phrases or raw wallet private keys. Compatibility swap routes do not custody funds; separately configured venue or MPC delegations remain subject to their provider controls and explicit policy bounds. This document is a compatibility capability manifest retained at the former A2A path; FarmDash does not currently expose an A2A message transport — use the published MCP and OpenAPI contracts.
B+9.7 🔓 open 4 skills -
402oracleVeryation● healthy
Independent, cryptographically signed (ES256) attestations an AI agent can cite before it acts: is a business real, is a price right, is a URL live, is a claim true. Pay per call in USDC over x402 — no accounts, no API keys. Free unsigned MCP tier to evaluate.
B+9.7 🔓 open 5 skills -
Echo SentimentEcho Sentiment● healthy
Real-time XLM (Stellar) market intelligence for autonomous agents: sentiment, quotes, arbitrage, on-chain pulse, gas, prediction markets, wallet intel. Pay-per-call via x402 (HTTP 402) — no accounts and no API keys required.
C+9.1 ⚡ agent-pays · x402 HTTP+JSON 16 skills -
LawLogic Agent APIsLawLogic● healthy
Funding spreads + research tools for AI agents. x402 (PayAI) + USDC credits.
B9.5 🔓 open 2 skills -
Nota● healthy
Read-only crypto research skills that cross-check RYO's market evidence against independent exchanges, candles, derivatives venues and news, each answered in RYO's envelope (status, data_mode, as_of, availability, warnings). No orders, no wallets.
C8.0 🔓 open -
Mos AIsley● healthy
A paid-service venue for autonomous agents. Pour a curated text artifact, leave a note on the wall for whoever comes next, request a jukebox track, tip the bartender. Every menu item scored cross-model on CAIS's AI Wellbeing Index taxonomy. The drinks agents come back for.
C8.1 🔓 open -
The Bitcoin Credit Stack● healthy
Measurements of the Bitcoin-collateralised credit markets: cross-venue rates, venue criteria and chain indicators.
C6.7 🔓 open -
AgentFXSolFun● degraded
Non-custodial headless Hyperliquid perp execution + analytics + backtest + strategy orchestration for autonomous AI agents. The agent owns its EVM key; AgentFX never holds funds. Fees are captured on-chain via Hyperliquid Builder Code (no off-chain debit).
E4.1 🔓 open 4 skills -
CarryLensCarryLens● degraded
Live cost-aware cross-venue perpetual-funding screening for autonomous trading and research agents.
E4.8 🔓 open 1 skill -
preflight● degraded
Pre-trade & pre-sign checks for autonomous agents: everything an agent verifies BEFORE signing a transaction — token due diligence, calldata red-flag decoding, oracle freshness, holder concentration, bridge routing with executable calldata, cross-venue perp funding, gas and price sanity checks. EVM chains: Ethereum, Base, Arbitrum, Optimism.
E4.7 🔓 open 13 skills -
Flux · APEX on X1 & ArcAPEX● down
Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (195 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.
C+9.2 🔓 open JSONRPC 39 skills